This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 622657 - epstopdf/ fails with unrecoverable error when converting eps files with BoundingBox (atend)
epstopdf/ fails with unrecoverable error when converting eps files with Bound...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tetex (Show other bugs)
5.7
All Linux
high Severity medium
: rc
: ---
Assigned To: Phil Knirsch
BaseOS QE Security Team
: Patch, ZStream
Depends On:
Blocks: 635666 847650
  Show dependency treegraph
 
Reported: 2010-08-10 00:56 EDT by ritz
Modified: 2013-10-02 08:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, attempting to convert an Encapsulated PostScript (EPS) file containing a BoundingBox caused the epstopdf utility to fail with an unrecoverable error. This error no longer occurs, and such files are now converted as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 08:04:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch based on upstream (877 bytes, patch)
2010-08-10 00:56 EDT, ritz
no flags Details | Diff

  None (edit)
Description ritz 2010-08-10 00:56:10 EDT
Created attachment 437763 [details]
patch based on upstream

Description of problem:
epstopdf fails with unrecoverable error when converting eps files with BoundingBox (atend)

Version-Release number of selected component (if applicable):
tetex-3.0-x

How reproducible:
always

Steps to Reproduce:
1.epstopdf $file
  
Actual results:
ERROR: /syntaxerror in --%ztokenexec_continue-- Operand stack:
  --nostringval--
Execution stack:
  %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1   3   %oparray_pop   1   3   %oparray_pop   --nostringval--   1   3   %oparray_pop   1   3   %oparray_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--
Dictionary stack:
  --dict:1120/1686(ro)(G)--   --dict:0/20(G)--   --dict:106/200(L)--
Current allocation mode is local
Last OS error: 2
ESP Ghostscript 815.02: Unrecoverable error, exit code 1 Broken pipe 

Expected results:
should work

Additional info:
Tanks to siddhesh for tracing this. Attached is the test eps file. Also attached is a patch based on a diff between epstopdf in Fedora 13 and RHEL-5. See the following link for background on this:

http://www.tug.org/pipermail/macostex-archives/2006-January/020285.html

scratch build based on this (private-sr2042766-branch):
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2645465

Packages for i386 and x86_64 available here:
http://people.redhat.com/~spoyarek/tetex-test/
Comment 8 Jaromir Hradilek 2010-10-19 08:30:28 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, attempting to convert an Encapsulated PostScript (EPS) file containing a BoundingBox caused the epstopdf utility to fail with an unrecoverable error. This error no longer occurs, and such files are now converted as expected.

Note You need to log in before you can comment on or make changes to this bug.